// pages/Information-review/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        dataList:[{name:'待审核(6)'},{name:'已通过(13)'},{name:'已驳回(5)'}],
        nactive:0,
        successList:[{title:'陕西马卡鲁信息技术有限公司劳务队',worktype:'电工',name:'张飞',time:'2021-02-26 11:23',type:'已通过'},{title:'陕西马卡鲁信息技术有限公司劳务队',worktype:'电工',name:'张飞',time:'2021-02-26 11:23',type:'已通过'},{title:'陕西马卡鲁信息技术有限公司劳务队',worktype:'电工',name:'张飞',time:'2021-02-26 11:23',type:'已通过'},{title:'陕西马卡鲁信息技术有限公司劳务队',worktype:'电工',name:'张飞',time:'2021-02-26 11:23',type:'已通过'}],
        UnauditedList:[{title:'陕西马卡鲁信息技术有限公司劳务队',worktype:'电工',name:'张飞',time:'2021-02-26 11:23',type:'已通过',check:false},{title:'陕西马卡鲁信息技术有限公司劳务队',worktype:'电工',name:'张飞',time:'2021-02-26 11:23',type:'已通过',check:false},{title:'陕西马卡鲁信息技术有限公司劳务队',worktype:'电工',name:'张飞',time:'2021-02-26 11:23',type:'已通过',check:false},{title:'陕西马卡鲁信息技术有限公司劳务队',worktype:'电工',name:'张飞',time:'2021-02-26 11:23',type:'已通过',check:false}],
        selected:false
    },
    // 事件委托
    selected(e){
    // console.log(e);
    this.setData({
        nactive:e.target.dataset.set
    })
    },
    // 点击进行全选
    allSelected(){
        // console.log('000');
     const select=this.data.UnauditedList.map((item,i)=>{
            if(this.data.selected){
            item.check=false
            }else{
            item.check=true
            }
            return item
        })
        console.log(select);
        this.setData({
            selected:!this.data.selected,
            UnauditedList:select
        })
    },
    // 点击进行选中未选中
    radioCheck(e){
        let index = e.target.dataset.set
       const temp= this.data.UnauditedList.map(function(item,i){
            if(i===index){
                item.check=!item.check
            }
            return item
        })
        
        this.setData({
            UnauditedList:temp,
            selected:this.data.UnauditedList.every(item=>item.check)
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})